Bug 116864 - interruptible_sleep_on_timeout at kernel/sched.c:1937
interruptible_sleep_on_timeout at kernel/sched.c:1937
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
All Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-25 15:58 EST by Martin Gansser
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-02 14:50:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Gansser 2004-02-25 15:58:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.6) Gecko/20040118

Description of problem:
kernel-2.6.3-1.106 reports the following error on dmesg,when the dvb
modules are loaded:

Badness in interruptible_sleep_on_timeout at kernel/sched.c:1938
Call Trace:
 [<c0120ee2>] interruptible_sleep_on_timeout+0x5d/0x23a
 [<c01205b7>] default_wake_function+0x0/0xc
 [<c0126cef>] daemonize+0xa1/0xa5
 [<e0af8e3d>] dvb_kernel_thread_setup+0xb5/0x154 [dvb_core]
 [<e0b35bde>] arm_thread+0x0/0x3a7 [dvb_ttpci]
 [<e0b35c3c>] arm_thread+0x5e/0x3a7 [dvb_ttpci]
 [<e0b35bde>] arm_thread+0x0/0x3a7 [dvb_ttpci]
 [<c01091d5>] kernel_thread_helper+0x5/0xb

Version-Release number of selected component (if applicable):
kernel-2.6.3-1.106

How reproducible:
Always

Steps to Reproduce:
1. dmesg
2.
3.
    

Additional info:

interruptible_sleep_on_timeout at kernel/sched.c:1937

the error is already reported on the dvb
mailinglisthttp://www.mail-archive.com/linux-dvb linuxtv org/msg14852.html
the only working kernel without this messages is 2.6.2-1.81
Comment 1 Martin Gansser 2004-03-02 14:50:18 EST
Problem is solved with kernel-2.6.3-1.116.i686.rpm

Note You need to log in before you can comment on or make changes to this bug.